<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('for_you.main_title')"
  [settingsPageRoute]="'./settings'"
  [showBackButton]="false"
  class="ion-page"
>
  <lib-refresher (ionRefresh)="refreshView($event)"></lib-refresher>
  <app-priority-section
    [displayConnectivityError]="displayConnectivityError"
    [hasFeedItems$]="hasFeedItems$"
    [priorityFeedItems]="priorityFeedItems"
  ></app-priority-section>
  <div
    class="content-spacing-medium-medium flex-list-feed-section"
    id="mainDashboard"
  >
    <app-highlighted-section
      [highlightedFeedItems]="highlightedFeedItems"
      [loadingFeedItems]="loadingNewFeedItems"
    ></app-highlighted-section>

    <ng-container *ngFor="let section of customSections$ | async">
      <ng-container *ngComponentOutlet="section.component"></ng-container>
    </ng-container>
    @if (!displayConnectivityError) {
      <app-your-day-section
        [activityFeedItems]="activityFeedItems"
        [loadingFeedItems]="loadingNewFeedItems"
      ></app-your-day-section>

      <app-feed-navigation-section
        [feedCategory]="feedCategory.new"
        [feedItemsInitialData]="feedItemsNewInitialData"
        [feedItems]="feedItemsNew"
        [loadingFeedItems]="loadingNewFeedItems"
        [moreFeedItemsAvailable]="moreFeedItemsNewAvailable"
        [titleKey]="t('for_you.new_title')"
      ></app-feed-navigation-section>

      <app-feed-navigation-section
        [feedCategory]="feedCategory.upcomingEvents"
        [feedItemsInitialData]="feedItemsUpcomingEventsInitialData"
        [feedItems]="feedItemsUpcomingEvents"
        [loadingFeedItems]="loadingUpcomingEventsFeedItems"
        [moreFeedItemsAvailable]="moreFeedItemsUpcomingEventsAvailable"
        [titleKey]="t('for_you.upcoming_events_title')"
      ></app-feed-navigation-section>

      <app-feed-infinite-section
        *ngIf="feedItemsOlder && feedItemsOlder.length > 0"
        [feedItemsInitialData]="feedItemsNewInitialData"
        [feedItems]="feedItemsOlder"
        [loadingFeedItems]="loadingOlderFeedItems"
        [moreFeedItemsAvailable]="moreFeedItemsNewAvailable"
        [titleKey]="t('for_you.older_title')"
      >
      </app-feed-infinite-section>

      <app-feed-infinite-section
        [feedItemsInitialData]="!moreFeedItemsNewAvailable"
        [feedItems]="feedItemsUnfiltered"
        [loadingFeedItems]="loadingUnfilteredFeedItems"
        [moreFeedItemsAvailable]="moreFeedItemsUnfilteredAvailable"
        [titleKey]="t('for_you.other_title')"
        [subtitleKey]="t('for_you.other_content')"
      >
      </app-feed-infinite-section>

      <lib-infinite-scroll
        [visible]="
          shouldShowOlderInfiniteScroll || shouldShowUnfilteredInfiniteScroll
        "
        (loadMore)="
          shouldShowOlderInfiniteScroll
            ? loadMoreOlderFeedItems($event)
            : loadMoreUnfilteredFeedItems($event)
        "
      >
      </lib-infinite-scroll>
    }
  </div>
</lib-condensed-header-layout>
